MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005633ardourbugspublic2013-08-03 19:242016-02-04 18:33
Reportersvictor 
Assigned Totimbyr 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.0 
Target VersionFixed in Version4.7 
Summary0005633: All midi bindings lost when one track removed
DescriptionEvery time a track is removed it deletes all the midi cc bindings from all the remaining tracks.

Steps to reproduce:
1) Create 2 tracks
2) Bind midi controllers to something of track A (level sliders, buttons...)
3) Delete track B
4) --> Track A no longer reacts to any midi controllers

This is with Ardour 3.3 (binaries downloaded from website) on Arch linux.
Control surface is Behringer BCR2000 in General midi mode.
Additional InformationNo specific output in the console. Please tell me if I can provide further information.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0017858)
lentferj (reporter)
2016-01-31 08:52

I can confirm this bug still exists in 4.6.22 (g141e6fb) and it it really quite annoying.
(0017859)
timbyr (developer)
2016-02-01 04:05

I can confirm this issue exists in nightly build 4.6.201 on windows(32-bit)

I'm not sure what the issue is yet but I agree that it is annoying and important that we get it fixed.
(0017869)
lentferj (reporter)
2016-02-02 11:58

It also happens when removing a plugin from any track.

1) create midi track with instrument plugin
2) assign midi controls to instrument plugin
3) add reverb (or any other plugin)
4) remove reverb
--> all assigned midi controls have gone

OR EVEN

1) create 2 tracks
2) add instrument plugin to 1st track
3) add reverb (or any other) plugin to 2nd track
4) assign midi controls to instrument on 1st track
5) remove reverb from 2nd track

--> midi controls for track 1 (and presumbly all other assigned midi controls) have gone

It seems that delete/remove operations on tracks or plugins always also delete the complete midi controls assigned via MIDI learn.
(0017879)
timbyr (developer)
2016-02-04 02:41

This issue should now be fixed in ardour master branch as of revision dd05f1e257

If you could try a nightly build >= 4.6.234 and confirm that would be appreciated.
(0017882)
lentferj (reporter)
2016-02-04 09:31

I downloaded Ardour_64bit-4.6.242-dbg.run and can confirm that the above described behaviour does not exist in this version anymore. Thanks a bunch for the fast fix - it makes Ardour so much more usable for me now. Now I have to convince falkTX to build new packages for KXStudio very soon. Thanks again.

- Issue History
Date Modified Username Field Change
2013-08-03 19:24 svictor New Issue
2016-01-31 08:52 lentferj Note Added: 0017858
2016-02-01 04:05 timbyr Note Added: 0017859
2016-02-01 04:05 timbyr Assigned To => timbyr
2016-02-01 04:05 timbyr Status new => confirmed
2016-02-02 11:58 lentferj Note Added: 0017869
2016-02-04 02:41 timbyr Note Added: 0017879
2016-02-04 02:41 timbyr Status confirmed => feedback
2016-02-04 09:31 lentferj Note Added: 0017882
2016-02-04 18:33 timbyr Status feedback => resolved
2016-02-04 18:33 timbyr Fixed in Version => 4.7
2016-02-04 18:33 timbyr Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker